package com.bonus.material.user.mapper;

import com.bonus.common.biz.domain.SysUser;
import com.bonus.material.user.entity.UserDto;
import com.bonus.common.biz.domain.SysDept;
import com.bonus.system.api.domain.SysRole;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/12/19 - 14:52
 */
public interface UserMapper {
    UserDto getUserById(Long userId);

    Integer editUser(UserDto userDto);

    List<SysDept> selectDeptList(SysDept dept);

    List<SysRole> selectRoleList(SysRole role);

    List<SysUser> selectUserList(SysUser user);
}
